package com.ym.mec.common.log.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.log.dal.dao.AuditLogDao;
import com.ym.mec.common.log.dal.model.AuditLog;
import com.ym.mec.common.log.service.AuditLogService;

@Service
public class AuditLogServiceImpl implements AuditLogService {

	@Autowired
	private AuditLogDao auditLogDao;

	@Override
	public boolean insert(AuditLog auditLog) {
		return auditLogDao.insert(auditLog) > 0;
	}

	@Override
	public List<AuditLog> queryPage(Map<String, Object> params) {
		return auditLogDao.queryPage(params);
	}

	@Override
	public int queryCount(Map<String, Object> params) {
		return auditLogDao.queryCount(params);
	}

}
